Package: org.codehaus.groovy.reflection

## [Java] Class ParameterTypes

- org.codehaus.groovy.reflection.ParameterTypes

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `isVargsMethod` |
    `protected Class[]` | `nativeParamTypes` |
    `protected CachedClass[]` | `parameterTypes` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParameterTypes ()`
    `ParameterTypes (Class[] pt)`
    `ParameterTypes (String[] pt)`
    `ParameterTypes (CachedClass[] parameterTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object[]` | `coerceArgumentsToClasses(Object[] argumentArray)`
    `` | `Object[]` | `correctArguments(Object[] argumentArray)`
    `` | `Class[]` | `getNativeParameterTypes()`
    `` | `protected Class[]` | `getPT()`
    `` | `CachedClass[]` | `getParameterTypes()`
    `` | `boolean` | `isValidExactMethod(Object[] args)`
    `` | `boolean` | `isValidExactMethod(Class[] args)`
    `` | `boolean` | `isValidMethod(Class[] arguments)`
    `` | `boolean` | `isValidMethod(Object[] arguments)`
    `` | `boolean` | `isVargsMethod()`
    `` | `boolean` | `isVargsMethod(Object[] arguments)`
    `` | `protected void` | `setParametersTypes(CachedClass[] pt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected boolean isVargsMethod

    - #### protected Class[] nativeParamTypes

    - #### protected CachedClass[] parameterTypes

  - ### Constructor Detail

    - #### public ParameterTypes()

    - #### public ParameterTypes(Class[] pt)

    - #### public ParameterTypes(String[] pt)

    - #### public ParameterTypes(CachedClass[] parameterTypes)

  - ### Method Detail

    - #### public final Object[] coerceArgumentsToClasses(Object[] argumentArray)

    - #### public Object[] correctArguments(Object[] argumentArray)

    - #### public Class[] getNativeParameterTypes()

    - #### protected Class[] getPT()

    - #### public CachedClass[] getParameterTypes()

    - #### public boolean isValidExactMethod(Object[] args)

    - #### public boolean isValidExactMethod(Class[] args)

    - #### public boolean isValidMethod(Class[] arguments)

    - #### public boolean isValidMethod(Object[] arguments)

    - #### public boolean isVargsMethod()

    - #### public boolean isVargsMethod(Object[] arguments)

    - #### protected final void setParametersTypes(CachedClass[] pt)